package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFF50Data {

    private Map<String, Object> params;
    
    public MWFF50Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsPlatnostkarty() {
        return (String) params.get("RS_PLATNOSTKARTY");
    }

    public String rsCislokarty() {
        return (String) params.get("RS_CISLOKARTY");
    }

    public String rsJmenodrzitele() {
        return (String) params.get("RS_JMENODRZITELE");
    }

    public String rsLogokarty() {
        return (String) params.get("RS_LOGOKARTY");
    }

    public String rsStavsmlouvy() {
        return (String) params.get("RS_STAVSMLOUVY");
    }

    public String rsOrganizace() {
        return (String) params.get("RS_ORGANIZACE");
    }

    public String rsAktivitakarty() {
        return (String) params.get("RS_AKTIVITAKARTY");
    }

    public String rsBlokacesmlouvy1() {
        return (String) params.get("RS_BLOKACESMLOUVY1");
    }

    public String rsBlokacesmlouvy2() {
        return (String) params.get("RS_BLOKACESMLOUVY2");
    }

    public String rsMinimalnisplatka() {
        return (String) params.get("RS_MINIMALNISPLATKA");
    }

    public Double rsDisponibilnizustatek() {
        return (Double) params.get("RS_DISPONIBILNIZUSTATEK");
    }

    public java.util.Date rsSplatkadatumsplatnosti() {
        return (java.util.Date) params.get("RS_SPLATKADATUMSPLATNOSTI");
    }

    public Double rsSplatkakuhrade() {
        return (Double) params.get("RS_SPLATKAKUHRADE");
    }

    public Long rsDennilimitobchodnik() {
        return (Long) params.get("RS_DENNILIMITOBCHODNIK");
    }

    public Double rsCelkemdoplatit() {
        return (Double) params.get("RS_CELKEMDOPLATIT");
    }

    public Double rsVyseposlednisplatky() {
        return (Double) params.get("RS_VYSEPOSLEDNISPLATKY");
    }

    public java.util.Date rsDatumposlednisplatky() {
        return (java.util.Date) params.get("RS_DATUMPOSLEDNISPLATKY");
    }

    public Double rsUverovyramec() {
        return (Double) params.get("RS_UVEROVYRAMEC");
    }

    public java.util.Date rsDatumpodpisusmlouvy() {
        return (java.util.Date) params.get("RS_DATUMPODPISUSMLOUVY");
    }

    public String rsCislosmlouvy() {
        return (String) params.get("RS_CISLOSMLOUVY");
    }

    public Long rsDennilimithotovost() {
        return (Long) params.get("RS_DENNILIMITHOTOVOST");
    }

    public Double rsUverovyramecvycerpany() {
        return (Double) params.get("RS_UVEROVYRAMECVYCERPANY");
    }

    public Double rsUverovyramechotovost() {
        return (Double) params.get("RS_UVEROVYRAMECHOTOVOST");
    }

    public Double rsDisponibilnizustatekhotovost() {
        return (Double) params.get("RS_DISPONIBILNIZUSTATEKHOTOVOST");
    }

    public String rsLoyaltystatus() {
        return (String) params.get("RS_LOYALTYSTATUS");
    }

    public String rsDesignid() {
        return (String) params.get("RS_DESIGNID");
    }

    public String rsZpusobdistribucevypisu() {
        return (String) params.get("RS_ZPUSOBDISTRIBUCEVYPISU");
    }

    public String rsCislokaretnihouctu() {
        return (String) params.get("RS_CISLOKARETNIHOUCTU");
    }

    public String rsDodatkovakarta() {
        return (String) params.get("RS_DODATKOVAKARTA");
    }

    public Long rsMaxpocettransakciden() {
        return (Long) params.get("RS_MAXPOCETTRANSAKCIDEN");
    }

    public Long rsMaxpocettransakcidenatm() {
        return (Long) params.get("RS_MAXPOCETTRANSAKCIDENATM");
    }

    public String rsInternet() {
        return (String) params.get("RS_INTERNET");
    }

    public String rsDrzitelrc() {
        return (String) params.get("RS_DRZITELRC");
    }

    public Double rsLimitinkasa() {
        return (Double) params.get("RS_LIMITINKASA");
    }

    public String rsZpusobuhrady() {
        return (String) params.get("RS_ZPUSOBUHRADY");
    }

    public String rsCislokartymask() {
        return (String) params.get("RS_CISLOKARTYMASK");
    }

    public String rsCislokaretnihouctumask() {
        return (String) params.get("RS_CISLOKARETNIHOUCTUMASK");
    }

    public String rsChip() {
        return (String) params.get("RS_CHIP");
    }

    public String rsMsisdn() {
        return (String) params.get("RS_MSISDN");
    }

    public Long rsDennilimitecommerce() {
        return (Long) params.get("RS_DENNILIMITECOMMERCE");
    }

    public String rsVybermimoeu() {
        return (String) params.get("RS_VYBERMIMOEU");
    }

    public java.util.Date rsDatumodblokovani() {
        return (java.util.Date) params.get("RS_DATUMODBLOKOVANI");
    }

    public String rsDuvodblokace() {
        return (String) params.get("RS_DUVODBLOKACE");
    }

    public String rsDrzitelheslo() {
        return (String) params.get("RS_DRZITELHESLO");
    }

    public Long rsSmartpinpozadavek() {
        return (Long) params.get("RS_SMARTPINPOZADAVEK");
    }

    public String rsSmartpinanone() {
        return (String) params.get("RS_SMARTPINANONE");
    }

    public String rsZpusobdistribucepin() {
        return (String) params.get("RS_ZPUSOBDISTRIBUCEPIN");
    }

    public String rsSmartpinnumber() {
        return (String) params.get("RS_SMARTPINNUMBER");
    } 

}
